curl --request GET \
--url https://api.prod.finverse.net/accounts \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.prod.finverse.net/accounts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.prod.finverse.net/accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"accounts": [
{
"account_currency": "HKD",
"account_id": "01F7MP3XTNX36K9N66JPKH131P",
"account_name": "HKD Checking",
"account_number_masked": "111XXXXXXX-666",
"account_type": {
"subtype": "CHECKING",
"type": "DEPOSIT"
},
"balance": {
"currency": "HKD",
"raw": "70013.12",
"value": 70013.12
},
"created_at": "2021-06-08T02:09:42.000Z",
"group_id": "5578758a56843bbe7104f0915f807eae4231aa0e5ce2bc0950c4fcb372b85948",
"is_closed": false,
"is_excluded": false,
"is_parent": false,
"statement_balance": {
"currency": "HKD",
"raw": "70013.12",
"value": 70013.12
},
"updated_at": "2021-06-08T02:09:42.000Z"
},
{
"account_currency": "HKD",
"account_id": "01F7MP3XTQ4Y8AFQ9KDFQXF14Y",
"account_name": "HKD Credit Card",
"account_type": {
"subtype": "CREDIT_CARD",
"type": "CARD"
},
"balance": {
"currency": "HKD",
"raw": "-1833.22",
"value": -1833.22
},
"created_at": "2021-06-08T02:09:42.000Z",
"group_id": "4f776329e40d2aafaeb33415283aea9e0dae84467aeaa51c5030e4b0311b6040",
"is_closed": false,
"is_excluded": false,
"is_parent": false,
"statement_balance": {
"currency": "HKD",
"raw": "-1833.22",
"value": -1833.22
},
"updated_at": "2021-06-08T02:09:42.000Z"
},
{
"account_currency": "USD",
"account_id": "01F7MP3XTSBSTG6G68FESC66B1",
"account_name": "USD FX",
"account_type": {
"subtype": "OTHER",
"type": "DEPOSIT"
},
"balance": {
"currency": "USD",
"raw": "1923.22",
"value": 1923.22
},
"created_at": "2021-06-08T02:09:42.000Z",
"group_id": "582c1d9912586672ef9d028d7ed521ffedf9bb11d2392ddf1c2ec2e231c49ce5",
"is_closed": false,
"is_excluded": false,
"is_parent": false,
"statement_balance": {
"currency": "HKD",
"raw": "15001.116",
"value": 15001.116
},
"updated_at": "2021-06-08T02:09:42.000Z"
},
{
"account_currency": "BTC",
"account_id": "01F7MP3XTV38VSZMVF4C65NHT3",
"account_name": "Bitcoin",
"account_type": {
"subtype": "OTHER",
"type": "OTHER"
},
"balance": {
"currency": "BTC",
"raw": "420.69",
"value": 420.69
},
"created_at": "2021-06-08T02:09:42.000Z",
"group_id": "582c1d9912586672ef9d028d7ed521ffedf9bb11d2392ddf1c2ec2e231c49ce5",
"is_closed": false,
"is_excluded": false,
"is_parent": false,
"statement_balance": {
"currency": "HKD",
"raw": "106468292.05",
"value": 106468292.05
},
"updated_at": "2021-06-08T02:09:42.000Z"
}
],
"institution": {
"countries": [
"HKG",
"SGP",
"PHL"
],
"institution_id": "testbank",
"institution_name": "TestBank HK",
"portal_name": "Test Bank Personal Account"
},
"login_identity": {
"login_identity_id": "01F7MP3J3H485QSDQC0FS15KE7",
"status": "DATA_RETRIEVAL_COMPLETE"
}
}{
"error": {
"code": 40004,
"error_code": "CREDENTIALS_INVALID",
"message": "<string>",
"request_id": "<string>",
"type": "LINKING_ERROR",
"details": "<string>"
}
}{
"error": {
"code": 40004,
"error_code": "CREDENTIALS_INVALID",
"message": "<string>",
"request_id": "<string>",
"type": "LINKING_ERROR",
"details": "<string>"
}
}List accounts
Retrieve all Accounts under a Login Identity (using a specific login_identity_token).
Authorization: login_identity_token
accounts
Full accounts array, containing a list of accounts with account-level balances & metadata.
account_type (object)
Beta (subject to change).
Details on the account type/classification.
For each account type, the following subtypes are available:
-
CARD:CREDIT_CARD,DEBIT_CARD,OTHER,UNKNOWN -
DEPOSIT:CURRENT,SAVINGS,TIME_DEPOSIT,OTHER,UNKNOWN -
INVESTMENT:BONDS,FUNDS,RETIREMENT,SECURITIES,STOCKS,OTHER,UNKNOWN -
LOAN:MORTGAGE,PERSONAL_LOAN,REVOLVING_LOAN,OTHER,UNKNOWN -
OTHER:OTHER -
UNKNOWN:UNKNOWN
Note: UNKNOWN refers to cases where the account type/subtype mapping is not available for that Institution or Account.
balance (object)
Details of an account’s balance or statement_balance.
institution
Summary Institutions object. See GET /institutions for details.
login_identity
Summary Login Identity object. See GET /login_identity for details.
metadata
Beta (subject to change).
Metadata object containing additional account information (for some institutions only).
